# Retrieve a value list item

Retrieves a `ValueListItem` object.

## Prerequisites

Before you can run the following code snippet, you need to call these APIs with the provided parameters to set up the prerequisite API object(s).

1. createRadarValueList
POST /v1/radar/value_lists {"name":"Custom IP Blocklist","alias":"custom_ip_blocklist","item_type":"ip_address"}
2. createRadarValueListItem
POST /v1/radar/value_list_items {"value_list":"${node.prerequisites.createRadarValueList.createRadarValueList:id}","value":"1.2.3.4"}

## Request

```curl
curl https://api.stripe.com/v1/radar/value_list_items/{{VALUE_LIST_ITEM_ID}} \
  -u "<<YOUR_SECRET_KEY>>"
```

### Response

```json
{
  "id": "rsli_1MxxosLkdIwHu7ixxvA1yKiZ",
  "object": "radar.value_list_item",
  "created": 1681760074,
  "created_by": "API",
  "livemode": false,
  "value": "1.2.3.4",
  "value_list": "rsl_1MxxosLkdIwHu7ixNiiD01Kj"
}
```

## Returns

Returns a `ValueListItem` object if a valid identifier was provided.
